import request from '../../utils/request'

/**
 * 获取课程分页列表
 * @param {JSON参数} data 
 */
export function queryClassPage(data) {
  return request({
    url: '/Class/GetClassPageList',
    method: 'post',
    data
  })
}


/**
 * 获取课程状态列表
 * @param {JSON参数} data 
 */
export function queryClassStatusList() {
  return request({
    url: '/Class/GetClassStatusList',
    method: 'post',
    data: ""
  })
}

/**
 * 获取班级学员列表
 */
export function queryClassStudent(data) {
  return request({
    url: '/Class/GetClassStudent',
    method: 'post',
    data
  });
}

/**
 * 获取上课计划列表
 */
export function quertClassPlan(data) {
  return request({
    url: '/Class/GetClassPlan',
    method: 'post',
    data
  });
}

/**
 * 新增修改课程安排
 */
export function setClassPlan(data) {
  return request({
    url: '/Class/SetClassPlan',
    method: 'post',
    data
  });
}

/**
 * 删除课程安排
 */
export function RemoveClassPlan(data) {
  return request({
    url: '/Class/RemoveClassPlan',
    method: 'post',
    data
  });
}

